<?php
/**
 * Momizat Themes Addons.
 *
 * @package   mom_dashboard_class
 * @version   1.0
 * @author    Momizat Team <momizat.com>
 * @copyright Copyright (c) 2015, Momizat Team
 * @license   Private
 * @link      https://momizat.com
 */

/*
    Copyright 2015 Momizat team (momizat.com)
    just for use in our custom themes
*/


/**
* @since 1.0
* require the necessary files
*/
require_once MOM_FW . '/addons/class-tgm-plugin-activation.php';
require_once MOM_FW . '/plugins.php';
//require_once MOM_FW . '/addons/classes/class-connect.php';
//require_once MOM_FW . '/addons/auto-updates/auto-updates.php';


if (!class_exists('mom_dashboard_class')) {
    /**
     * Automatic plugin installation and activation library.
     *
     * Creates a way to automatically install and activate plugins from within themes.
     * The plugins can be either pre-packaged, downloaded from the WordPress
     * Plugin Repository or downloaded from a private repository.
     *
     * @since 1.0.0
     *
     * @package mom_dashboard_class
     * @author    Momizat Team <momizat.com>
     */
    class mom_dashboard_class
    {

        public $page_slug = 'momizat-dashboard';
        public $plugin_page_slug = 'recommended_plugins';

        private $tgmp;

        public function __construct()
        {
          $this->tgmp = new TGM_Plugin_Activation;

            add_action('admin_menu', array(&$this,'admin_menu'));
            //if($this->is_addon_page() ) {
                add_action('admin_enqueue_scripts', array(&$this,'assets'));
            //}
            add_action('admin_footer', array(&$this,'backdrop'));
    }

        public function admin_menu()
        {
            if (!current_user_can('install_plugins'))
                return;
            add_menu_page(wp_get_theme(), wp_get_theme(), 'edit_theme_options', $this->page_slug, array(&$this,'dashboard_page'), MOM_ADDON_URI . '/assets/images/theme-dashboard-icon.png', 20);
            // add_submenu_page($this->page_slug, __('Addons', 'theme'), __('Addons', 'theme'), 'edit_theme_options', 'momizat-addons', array(&$this,'extensions_page'));

            add_submenu_page($this->page_slug, 'Plugins', 'Plugins', 'edit_theme_options', 'momizat-plugins', array(&$this,'plugins_page'));

            if (function_exists('mpb_demos_page')) {
              add_submenu_page($this->page_slug, __('Install demos', 'online-shopping'), __('Install demos', 'online-shopping'), 'edit_theme_options', 'momizat-demos', 'mpb_demos_page');
            }

            // moved to custom fonts option page
             //add_submenu_page($this->page_slug, 'System Status', 'System Status', 'edit_theme_options', 'momizat-system-status', array(&$this,'system_status_page'));
        }
        public function assets()
        {
            wp_enqueue_style( 'mom-addons-css', MOM_ADDON_URI . '/assets/css/addons.css' );
            wp_enqueue_script( 'alertify',MOM_ADDON_URI. '/assets/js/alertify.js' , array('jquery'), '1.0', true );
            wp_register_script( 'Momizat-addons-js', MOM_ADDON_URI . '/assets/js/addons.js', array('jquery'), '1.0', true );
            wp_localize_script( 'Momizat-addons-js', 'momAjaxAddon', array(
                'url' => admin_url( 'admin-ajax.php' ),
                'nonce' => wp_create_nonce( 'ajax-nonce' ),
                'activate_text' => __('Activate', 'theme'),
                'deactivate_text' => __('Dectivate', 'theme'),
                'updated_text' => __('Updated!', 'theme'),
                'update_text' => __('Update Now', 'theme'),
                'active_text' => __('Active', 'theme'),
                'inactive_text' => __('Inactive', 'theme'),
                'nocode' => __('Please insert a valid purchase code', 'theme'),
                'invalid' => __('This purchase code is invalid', 'theme'),
                'exist' => __('This purchase code is already registered', 'theme'),
                'error' => __('An error occurred please try again later', 'theme'),
            ));
            wp_enqueue_script('Momizat-addons-js');
        }
public static function dashboard_header($active_page = 'dashboard') {
  $active = 'nav-tab-active';
?>
<div class="wrap mom-ds-header">
  <h2 class="nav-tab-wrapper">
  <?php
  printf( '<a href="%s" class="nav-tab %s">%s</a>',  $active_page == 'dashboard' ? '#' : admin_url( 'admin.php?page=momizat-dashboard' ), $active_page == 'dashboard' ? $active :'', __( "Welcome", 'theme' ) );
  printf( '<a href="%s" class="nav-tab %s">%s</a>',  $active_page == 'plugins' ? '#' : admin_url( 'admin.php?page=momizat-plugins' ), $active_page == 'plugins' ? $active :'', __( "Plugins", 'theme' ) );
  if (function_exists('mpb_demos_page')) {
    printf( '<a href="%s" class="nav-tab %s">%s</a>',  $active_page == 'demos' ? '#' : admin_url( 'admin.php?page=momizat-demos' ), $active_page == 'demos' ? $active :'', __( "Install Demos", 'theme' ) );
  }
  printf( '<a href="%s" class="nav-tab %s">%s</a>',  $active_page == 'options' ? '#' : admin_url( 'admin.php?page=momizat_options' ), $active_page == 'options' ? $active :'', __( "Theme Options", 'theme' ) );

  ?>

</h2>
</div>
<?php }
  public function dashboard_page() {
    $this->dashboard_header('dashboard');
    ?>
      <h1><?php echo sprintf(__('Welcome to %s', 'theme'), MOM_THEME_NAME); ?> <span class="ver"><?php echo MOM_THEME_VERSION; ?></span></h1>
      <p class="about-text">
      <?php echo sprintf(__('Thanks for selecting %s theme', 'theme'), MOM_THEME_NAME); ?>
      </p>
      <div class="about-wrap mom-dashboard-wrap">
          <div class="feature-section two-col">
            <div class="col">
              <a href="http://support.momizat.com/" target="_blank">
              <figure>
                    <picture>
                        <svg width="82px" height="82px" viewBox="0 0 82 82" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                            <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                <g id="noun_support_1819705" fill="#424242">
                                    <g id="Group">
                                        <g id="Path">
                                            <path d="M48.4764706,58.3554299 C47.4097285,58.7914027 46.3244344,59.1531674 45.2020362,59.4128959 C44.6918552,59.5334842 44.1723982,59.6262443 43.6436652,59.7097285 C43.550905,59.7282805 43.1798643,59.7653846 43.550905,59.7190045 C43.4395928,59.7282805 43.3282805,59.7468326 43.2169683,59.7561086 C42.8830317,59.7932127 42.539819,59.8210407 42.2058824,59.8395928 C41.0742081,59.9045249 39.9332579,59.8766968 38.8108597,59.7561086 C38.6438914,59.7375566 38.4769231,59.7190045 38.3099548,59.7004525 C38.3841629,59.7097285 38.6717195,59.7561086 38.3099548,59.7004525 C38.0409502,59.6540724 37.7626697,59.6076923 37.4936652,59.5613122 C36.9,59.45 36.3156109,59.3015837 35.7404977,59.1346154 C35.2488688,58.9954751 34.7572398,58.8285068 34.2748869,58.6522624 C34.0522624,58.5687783 33.811086,58.4945701 33.5977376,58.3832579 C34.0244344,58.5966063 33.5977376,58.3832579 33.5235294,58.3461538 C33.3936652,58.2904977 33.2638009,58.2348416 33.1432127,58.1699095 C32.299095,57.7710407 31.4828054,57.3257919 30.7036199,56.8156109 C30.3140271,56.5651584 29.9337104,56.2961538 29.5626697,56.0178733 C29.5441176,56.0085973 29.191629,55.7303167 29.4235294,55.9065611 C29.6554299,56.0920814 29.2936652,55.8045249 29.2843891,55.7952489 C29.0710407,55.6190045 28.8576923,55.4427602 28.6443439,55.2572398 C27.9486425,54.6450226 27.2993213,53.9864253 26.6871041,53.290724 C26.5386878,53.1144796 26.3902715,52.9382353 26.2418552,52.761991 C26.1861991,52.6877828 26.130543,52.6135747 26.0656109,52.5486425 C25.7687783,52.1776018 26.2975113,52.8640271 26.0192308,52.4837104 C25.7409502,52.1126697 25.4719457,51.7323529 25.2214932,51.3427602 C24.6834842,50.5264706 24.2104072,49.6638009 23.8022624,48.7825792 C23.7651584,48.699095 23.7280543,48.6156109 23.6816742,48.5228507 C23.6445701,48.4486425 23.4497738,48.0126697 23.6445701,48.4486425 C23.5425339,48.2260181 23.4590498,47.9941176 23.3755656,47.7714932 C23.1714932,47.2334842 22.9952489,46.6861991 22.8375566,46.138914 C22.6891403,45.610181 22.559276,45.0721719 22.4479638,44.5341629 C22.3923077,44.2651584 22.3459276,43.9868778 22.2995475,43.7085973 C22.2809955,43.5972851 22.2624434,43.4859729 22.2531674,43.3746606 C22.3088235,43.7920814 22.2346154,43.1984163 22.2253394,43.1149321 C22.1047511,41.9554299 22.0861991,40.7866516 22.1604072,39.6271493 C22.1789593,39.3488688 22.2067873,39.0705882 22.2346154,38.7923077 C22.2438914,38.6809955 22.2624434,38.5696833 22.2717195,38.458371 C22.3366516,37.929638 22.2253394,38.6902715 22.2809955,38.3748869 C22.3830317,37.8090498 22.4757919,37.2339367 22.6056561,36.6773756 C22.7355204,36.1486425 22.8746606,35.6199095 23.041629,35.1097285 C23.1251131,34.85 23.2085973,34.5995475 23.3106335,34.339819 C23.3477376,34.2377828 23.3848416,34.1357466 23.4219457,34.0337104 C23.4404977,33.9780543 23.6723982,33.4214932 23.561086,33.6719457 C23.4497738,33.9502262 23.6260181,33.5235294 23.6352941,33.5049774 C23.6723982,33.4214932 23.7095023,33.338009 23.7558824,33.2452489 C23.8579186,33.0319005 23.9599548,32.818552 24.061991,32.6144796 C24.2938914,32.1506787 24.5443439,31.7054299 24.8040724,31.260181 C25.0359729,30.8798643 25.2678733,30.5088235 25.5276018,30.1470588 C25.6574661,29.9522624 25.7966063,29.7667421 25.9357466,29.5812217 C26.0006787,29.4884615 26.158371,29.219457 25.9450226,29.5719457 C26.0099548,29.4606335 26.121267,29.3493213 26.2047511,29.2472851 C26.8076923,28.5052036 27.4570136,27.8095023 28.1527149,27.160181 C28.4773756,26.8633484 28.8020362,26.5665158 29.1452489,26.2882353 C29.2565611,26.1954751 29.3585973,26.111991 29.4699095,26.0285068 C29.5441176,25.9728507 29.720362,25.7966063 29.4235294,26.0656109 C29.6276018,25.8800905 29.8780543,25.7316742 30.1006787,25.5739819 C30.8705882,25.0452489 31.6683258,24.5628959 32.5031674,24.1361991 C32.9205882,23.9228507 33.338009,23.7095023 33.7739819,23.5332579 C33.3843891,23.6816742 33.6533937,23.579638 33.7368778,23.55181 C33.8852941,23.4961538 34.0337104,23.4312217 34.1914027,23.3755656 C34.4696833,23.2735294 34.7479638,23.1714932 35.0355204,23.078733 C36.1022624,22.7262443 37.1968326,22.4850679 38.3006787,22.2995475 C38.6624434,22.2438914 38.3748869,22.2902715 38.3006787,22.2995475 C38.4676471,22.2809955 38.6346154,22.2624434 38.8015837,22.2438914 C39.0520362,22.2160633 39.3024887,22.1975113 39.5529412,22.1789593 C40.1466063,22.1418552 40.7402715,22.1233032 41.3432127,22.1325792 C41.9090498,22.1418552 42.4841629,22.1696833 43.05,22.2253394 C43.1613122,22.2346154 43.2726244,22.2531674 43.3839367,22.2624434 C43.9404977,22.3180995 43.0128959,22.1975113 43.560181,22.2809955 C43.8662896,22.3273756 44.1631222,22.3737557 44.4692308,22.4386878 C45.5730769,22.6520362 46.6676471,22.9581448 47.7158371,23.3477376 C47.9662896,23.4404977 48.2260181,23.5332579 48.4764706,23.6445701 C48.4208145,23.6167421 48.1147059,23.4868778 48.4208145,23.6260181 C48.5506787,23.6816742 48.680543,23.7373303 48.8104072,23.8022624 C49.2371041,23.9970588 49.6545249,24.2104072 50.0719457,24.4423077 C50.9160633,24.9061086 51.7230769,25.4255656 52.4837104,26.0006787 C52.5671946,26.0656109 52.8454751,26.2418552 52.4929864,26.0099548 C52.5857466,26.0748869 52.6785068,26.158371 52.761991,26.2325792 C52.9289593,26.3624434 53.0866516,26.5015837 53.2443439,26.640724 C53.6339367,26.9746606 54.0049774,27.3271493 54.3667421,27.688914 C54.6914027,28.0228507 55.0160633,28.3567873 55.3221719,28.709276 C55.4613122,28.8669683 55.5911765,29.0246606 55.7303167,29.191629 C55.8045249,29.2843891 55.878733,29.3771493 55.9529412,29.4606335 C56.2497738,29.8316742 55.7210407,29.1452489 56.0085973,29.5255656 C56.5744344,30.3047511 57.1031674,31.1024887 57.5669683,31.9373303 C57.7803167,32.3269231 57.9843891,32.7257919 58.1791855,33.1339367 C58.2719457,33.338009 58.411086,33.5606335 58.4667421,33.7832579 C58.3461538,33.328733 58.4760181,33.811086 58.5131222,33.9038462 C58.5687783,34.0522624 58.6337104,34.2099548 58.6893665,34.358371 C59.0604072,35.378733 59.3572398,36.4361991 59.5705882,37.5029412 C59.6262443,37.7719457 59.6633484,38.0502262 59.7097285,38.3192308 C59.8024887,38.8479638 59.6819005,38.0780543 59.7282805,38.4027149 C59.7468326,38.5418552 59.7653846,38.6809955 59.7746606,38.8201357 C59.8395928,39.4045249 59.8766968,39.99819 59.8859729,40.5918552 C59.8952489,41.1391403 59.8859729,41.6771493 59.8581448,42.2151584 C59.8395928,42.4934389 59.8210407,42.7809955 59.7932127,43.059276 C59.7746606,43.2262443 59.7561086,43.3932127 59.7375566,43.560181 C59.7746606,43.2262443 59.7282805,43.6158371 59.7097285,43.7364253 C59.5427602,44.8309955 59.2830317,45.9070136 58.939819,46.9552036 C58.7728507,47.4653846 58.5966063,47.9941176 58.3739819,48.4857466 C58.5780543,48.0312217 58.2626697,48.7269231 58.2162896,48.8196833 C58.0957014,49.0701357 57.9751131,49.3298643 57.8452489,49.5803167 C57.418552,50.4058824 56.9361991,51.2128959 56.39819,51.9735294 C56.2683258,52.1683258 56.1291855,52.3538462 55.9900452,52.5393665 C55.7859729,52.808371 55.9900452,52.5393665 56.0271493,52.4929864 C55.9529412,52.6042986 55.850905,52.7156109 55.7674208,52.8176471 C55.4705882,53.1794118 55.1644796,53.5226244 54.849095,53.8658371 C54.1812217,54.5800905 53.4669683,55.2386878 52.7063348,55.850905 C52.6414027,55.8972851 52.5579186,55.9993213 52.4837104,56.0271493 C52.8176471,55.888009 52.5950226,55.9436652 52.4744344,56.0364253 C52.3074661,56.1662896 52.1404977,56.2868778 51.9642534,56.4074661 C51.5468326,56.7042986 51.1108597,56.9825792 50.6748869,57.2423077 C50.2760181,57.4834842 49.8678733,57.7061086 49.4504525,57.919457 C49.2371041,58.0214932 49.0330317,58.1328054 48.8196833,58.2255656 C48.7361991,58.2626697 48.6527149,58.2997738 48.5599548,58.3461538 C48.4764706,58.3554299 48.0312217,58.5409502 48.4764706,58.3554299 C48.0126697,58.5502262 47.6323529,58.7542986 47.3633484,59.2088235 C47.131448,59.6076923 47.0294118,60.1920814 47.1778281,60.6373303 C47.4561086,61.490724 48.5042986,62.3348416 49.4597285,61.9359729 C53.5133484,60.2291855 56.9547511,57.5298643 59.5056561,53.9400452 C62.2513575,50.0812217 63.6798643,45.2947964 63.5778281,40.5733032 C63.4850679,35.9352941 61.9545249,31.3065611 59.1624434,27.5868778 C56.4816742,24.0341629 52.9382353,21.3533937 48.7733032,19.7857466 C39.9147059,16.4556561 29.4049774,19.3497738 23.4868778,26.7242081 C20.518552,30.4253394 18.7561086,34.8778281 18.440724,39.6271493 C18.1346154,44.3671946 19.4054299,49.2371041 21.9934389,53.2165158 C24.2846154,56.7414027 27.5497738,59.6633484 31.3807692,61.4257919 C36.0095023,63.55 41.1947964,64.1251131 46.1667421,62.9748869 C47.2891403,62.7151584 48.3837104,62.3626697 49.4411765,61.9174208 C50.3316742,61.5463801 51.0737557,60.6651584 50.739819,59.6355204 C50.4800905,58.7914027 49.4319005,57.9658371 48.4764706,58.3554299 Z"></path>
                                            <path d="M81.0909502,32.6052036 C79.5140271,24.9710407 75.6737557,17.8470588 70.210181,12.290724 C64.7651584,6.74366516 57.7061086,2.77352941 50.1090498,1.06674208 C40.9443439,-0.992533937 31.260181,0.14841629 22.8282805,4.28552036 C15.899095,7.69909502 9.99027149,13.1626697 5.97375566,19.7579186 C1.31719457,27.4013575 -0.723529412,36.5938914 0.296832579,45.4803167 C1.23371041,53.6803167 4.5638009,61.3794118 9.92533937,67.668552 C14.9529412,73.5680995 21.7244344,77.9649321 29.1359729,80.2097285 C37.9760181,82.8904977 47.7900452,82.4823529 56.3425339,78.9667421 C63.6427602,75.9705882 69.9226244,70.9986425 74.4957014,64.561086 C79.4954751,57.5298643 82.1113122,48.8938914 81.9536199,40.2764706 C81.9072398,37.7070136 81.6011312,35.1282805 81.0909502,32.6052036 C80.8961538,31.6497738 79.7180995,31.0190045 78.8090498,31.3065611 C77.7979638,31.6312217 77.3063348,32.5680995 77.5104072,33.5884615 C77.6309955,34.1821267 77.7423077,34.7850679 77.8350679,35.388009 C77.8536199,35.5364253 77.881448,35.6755656 77.9,35.8239819 C77.9834842,36.380543 77.8721719,35.6013575 77.918552,35.9352941 C77.9649321,36.2877828 78.0020362,36.6309955 78.0391403,36.9834842 C78.1690045,38.2542986 78.2339367,39.5343891 78.2432127,40.8144796 C78.2524887,42.0760181 78.1968326,43.3375566 78.0762443,44.589819 C78.0484163,44.8866516 78.0205882,45.1834842 77.9834842,45.4710407 C77.9742081,45.591629 77.9556561,45.7029412 77.9371041,45.8235294 C77.8721719,46.4079186 77.9927602,45.4524887 77.909276,46.0368778 C77.8165158,46.6769231 77.7144796,47.3169683 77.5938914,47.9477376 C77.2321267,49.8122172 76.7404977,51.6488688 76.1097285,53.4484163 C75.9613122,53.8658371 75.8128959,54.2739819 75.6552036,54.6821267 C75.5717195,54.8861991 75.4975113,55.0902715 75.4140271,55.2943439 C75.3769231,55.3871041 75.1821267,55.7859729 75.3954751,55.331448 C75.339819,55.4520362 75.2934389,55.5726244 75.2377828,55.6932127 C74.8760181,56.5280543 74.4771493,57.3536199 74.0504525,58.1606335 C73.1970588,59.7839367 72.2323529,61.3515837 71.1656109,62.8450226 C71.0264706,63.039819 70.8873303,63.2253394 70.74819,63.4201357 C70.6647059,63.531448 70.2751131,64.078733 70.5719457,63.6613122 C70.3029412,64.041629 69.9782805,64.4033937 69.681448,64.7651584 C69.1063348,65.4608597 68.5033937,66.128733 67.8726244,66.7780543 C66.620362,68.0766968 65.2846154,69.2918552 63.8653846,70.4142534 C63.8468326,70.4328054 63.5036199,70.6925339 63.7447964,70.5070136 C63.9859729,70.3214932 63.6520362,70.5812217 63.6242081,70.5997738 C63.4479638,70.729638 63.2809955,70.8595023 63.1047511,70.9893665 C62.7244344,71.2676471 62.3348416,71.5459276 61.9452489,71.8056561 C61.1938914,72.3158371 60.4239819,72.79819 59.6447964,73.2527149 C58.8563348,73.7072398 58.0493213,74.1339367 57.2330317,74.5420814 C56.8248869,74.7461538 56.4074661,74.9409502 55.9900452,75.1264706 C55.7674208,75.2285068 55.5540724,75.330543 55.331448,75.4140271 C55.3778281,75.3954751 55.7210407,75.2563348 55.4149321,75.3769231 C55.2757919,75.4325792 55.1273756,75.4882353 54.9882353,75.5531674 C53.2536199,76.2488688 51.4633484,76.8147059 49.6452489,77.2506787 C48.5692308,77.5104072 47.4839367,77.7237557 46.3986425,77.881448 C46.2780543,77.9 46.1667421,77.918552 46.0461538,77.9371041 C45.4710407,78.0205882 46.4171946,77.9 45.8328054,77.9649321 C45.5359729,78.0020362 45.2484163,78.0298643 44.9515837,78.0669683 C44.3022624,78.1319005 43.6436652,78.1782805 42.9850679,78.2153846 C41.7235294,78.2803167 40.461991,78.2803167 39.2004525,78.2246606 C38.6067873,78.1968326 38.0223982,78.1597285 37.428733,78.1040724 C37.1319005,78.0762443 36.8443439,78.0484163 36.5475113,78.0113122 C36.371267,77.9927602 36.1950226,77.9742081 36.0280543,77.9463801 C35.4529412,77.8721719 36.399095,78.0020362 35.8239819,77.918552 C33.7832579,77.6124434 31.770362,77.1671946 29.8038462,76.5457014 C28.9040724,76.2674208 28.0135747,75.9520362 27.141629,75.6088235 C26.9375566,75.5253394 26.7334842,75.4418552 26.5386878,75.3676471 C26.4459276,75.330543 26.2140271,75.2563348 26.6221719,75.4047511 C26.5015837,75.358371 26.3809955,75.3027149 26.2604072,75.2470588 C25.8244344,75.0522624 25.3884615,74.8574661 24.9617647,74.6441176 C23.3291855,73.8556561 21.7429864,72.9466063 20.2402715,71.9447964 C19.8785068,71.7036199 19.5260181,71.4624434 19.1828054,71.211991 C19.0065611,71.0821267 18.8303167,70.9615385 18.6633484,70.8316742 C18.5613122,70.7574661 18.459276,70.6739819 18.3572398,70.5997738 C18.2644796,70.5348416 17.930543,70.3029412 18.3201357,70.5719457 C17.5873303,70.0710407 16.910181,69.4309955 16.2423077,68.8373303 C14.878733,67.6221719 13.6079186,66.3049774 12.4298643,64.9135747 C12.1515837,64.588914 11.8825792,64.2549774 11.6135747,63.9117647 C11.5486425,63.8282805 11.4744344,63.7447964 11.4187783,63.6613122 C11.7156109,64.069457 11.4558824,63.6984163 11.3909502,63.6242081 C11.25181,63.4386878 11.1033937,63.2438914 10.9642534,63.058371 C10.4169683,62.3070136 9.89751131,61.5371041 9.41515837,60.7579186 C8.45045249,59.2180995 7.59705882,57.6040724 6.85497738,55.9436652 C6.76221719,55.7488688 6.67873303,55.5447964 6.59524887,55.340724 C6.79004525,55.841629 6.52104072,55.1552036 6.48393665,55.0624434 C6.30769231,54.6171946 6.13144796,54.1626697 5.97375566,53.7174208 C5.65837104,52.8454751 5.3800905,51.9642534 5.12963801,51.0830317 C4.87918552,50.1739819 4.65656109,49.2556561 4.47104072,48.3280543 C4.35045249,47.7529412 4.24841629,47.1778281 4.16493213,46.6027149 C4.13710407,46.4264706 4.10927602,46.2502262 4.09072398,46.0832579 C4.00723982,45.5266968 4.10927602,46.3058824 4.07217195,45.9626697 C4.03506787,45.638009 3.9979638,45.3133484 3.96085973,44.9886878 C3.70113122,42.4285068 3.70113122,39.8497738 3.94230769,37.2895928 C3.97013575,36.9927602 3.9979638,36.7052036 4.03506787,36.408371 C4.04434389,36.2877828 4.06289593,36.1764706 4.08144796,36.0558824 C4.15565611,35.4807692 4.02579186,36.4269231 4.10927602,35.85181 C4.2020362,35.2210407 4.3040724,34.5902715 4.43393665,33.9595023 C4.61945701,33.0133484 4.84208145,32.0857466 5.09253394,31.1581448 C5.33371041,30.2676471 5.61199095,29.3864253 5.91809955,28.5144796 C6.06651584,28.0970588 6.21493213,27.688914 6.37262443,27.2807692 C6.4561086,27.0766968 6.53031674,26.8726244 6.6138009,26.668552 C6.65090498,26.5757919 6.79004525,26.158371 6.63235294,26.631448 C6.67873303,26.5108597 6.73438914,26.3902715 6.79004525,26.2696833 C7.52285068,24.6 8.36696833,22.9859729 9.33167421,21.4368778 C9.82330317,20.6484163 10.3334842,19.8785068 10.8807692,19.1271493 C11.0106335,18.950905 11.1312217,18.7746606 11.261086,18.6076923 C11.3260181,18.5242081 11.3909502,18.431448 11.4558824,18.3479638 C11.5208145,18.2644796 11.7527149,17.9027149 11.4837104,18.3108597 C11.7341629,17.921267 12.0773756,17.5595023 12.3742081,17.2070136 C13.5337104,15.8248869 14.7952489,14.5262443 16.1309955,13.311086 C16.7988688,12.7081448 17.4945701,12.1330317 18.1995475,11.5671946 C18.5334842,11.29819 17.958371,11.7434389 18.1809955,11.5764706 C18.2644796,11.5115385 18.3479638,11.4466063 18.440724,11.3816742 C18.6169683,11.25181 18.7839367,11.1219457 18.960181,11.0013575 C19.3404977,10.7230769 19.7300905,10.4540724 20.1289593,10.1850679 C21.6316742,9.16470588 23.2178733,8.25565611 24.8504525,7.45791855 C25.2585973,7.25384615 25.6760181,7.06832579 26.0934389,6.88280543 C26.1954751,6.83642534 26.2882353,6.79004525 26.3902715,6.75294118 C26.4180995,6.74366516 26.8169683,6.56742081 26.5294118,6.68800905 C26.2418552,6.80859729 26.640724,6.64162896 26.668552,6.63235294 C26.8076923,6.57669683 26.9561086,6.52104072 27.0952489,6.4561086 C27.9486425,6.11289593 28.8205882,5.80678733 29.70181,5.52850679 C31.6590498,4.90701357 33.6533937,4.44321267 35.6848416,4.14638009 C35.7961538,4.12782805 35.9167421,4.10927602 36.0280543,4.1 C35.6199095,4.15565611 36.1950226,4.08144796 36.2321267,4.07217195 C36.5196833,4.03506787 36.8165158,4.00723982 37.1040724,3.97941176 C37.7533937,3.91447964 38.4027149,3.86809955 39.0520362,3.83099548 C40.3135747,3.76606335 41.5751131,3.76606335 42.8366516,3.82171946 C43.4303167,3.84954751 44.0332579,3.88665158 44.6269231,3.94230769 C44.9237557,3.97013575 45.2205882,3.9979638 45.5174208,4.03506787 C45.6936652,4.05361991 45.8699095,4.08144796 46.0461538,4.1 C45.6565611,4.05361991 46.2316742,4.12782805 46.2502262,4.12782805 C47.3540724,4.28552036 48.4579186,4.49886878 49.5432127,4.75859729 C51.3613122,5.18529412 53.1515837,5.75113122 54.8861991,6.43755656 C55.1088235,6.52104072 55.340724,6.59524887 55.5540724,6.70656109 C55.5076923,6.68800905 55.1644796,6.53959276 55.4705882,6.66945701 C55.5911765,6.72511312 55.7117647,6.77149321 55.8323529,6.82714932 C56.2683258,7.0219457 56.7042986,7.21674208 57.1309955,7.4300905 C57.9472851,7.82895928 58.7542986,8.25565611 59.5427602,8.70090498 C60.3312217,9.15542986 61.1011312,9.62850679 61.8524887,10.1386878 C62.2142534,10.3798643 62.5667421,10.6210407 62.9099548,10.8714932 C63.0861991,11.0013575 63.2624434,11.1219457 63.4294118,11.25181 C63.531448,11.3260181 63.6334842,11.4095023 63.7355204,11.4837104 C64.0323529,11.7063348 63.4479638,11.25181 63.7726244,11.5115385 C65.1918552,12.6339367 66.5368778,13.830543 67.7891403,15.1291855 C68.4199095,15.7785068 69.0228507,16.4463801 69.6072398,17.1328054 C69.8947964,17.4760181 70.1823529,17.8285068 70.4606335,18.1809955 C70.5348416,18.2737557 70.738914,18.5056561 70.4513575,18.1624434 C70.5162896,18.2459276 70.5812217,18.3294118 70.6461538,18.4221719 C70.8038462,18.6262443 70.9522624,18.8395928 71.1099548,19.0436652 C72.1859729,20.5278281 73.1599548,22.0861991 74.0133484,23.7095023 C74.4400452,24.5165158 74.838914,25.3328054 75.2099548,26.1676471 C75.2656109,26.2882353 75.5624434,26.9282805 75.330543,26.4459276 C75.4233032,26.640724 75.4975113,26.8540724 75.5809955,27.0488688 C75.7572398,27.4941176 75.9334842,27.9486425 76.0911765,28.4031674 C76.7033937,30.1099548 77.1857466,31.8538462 77.5475113,33.6255656 C77.7423077,34.5809955 78.920362,35.2117647 79.8294118,34.9242081 C80.8033937,34.5624434 81.3042986,33.6255656 81.0909502,32.6052036 Z"></path>
                                        </g>
                                        <path d="M47.1128959,2.70859729 C47.1128959,4.8699095 47.1128959,7.0219457 47.1128959,9.18325792 C47.1128959,12.6246606 47.1128959,16.0567873 47.1128959,19.49819 C47.1128959,20.2866516 47.1128959,21.0751131 47.1128959,21.8542986 C47.8920814,21.2606335 48.680543,20.6576923 49.4597285,20.0640271 C44.1445701,17.8748869 37.938914,17.8656109 32.6144796,20.0361991 C33.3936652,20.6298643 34.1821267,21.2328054 34.9613122,21.8264706 C34.9613122,19.6744344 34.9613122,17.5131222 34.9613122,15.361086 C34.9613122,11.9289593 34.9613122,8.49683258 34.9613122,5.05542986 C34.9613122,4.26696833 34.9613122,3.48778281 34.9613122,2.69932127 C34.5067873,3.29298643 34.0522624,3.8959276 33.5977376,4.48959276 C34.2192308,4.35972851 34.85,4.24841629 35.4807692,4.15565611 C35.6570136,4.12782805 35.8239819,4.1 36.0002262,4.08144796 C35.7312217,4.11855204 35.9816742,4.08144796 36.1115385,4.06289593 C36.4361991,4.02579186 36.7515837,3.98868778 37.0762443,3.95158371 C38.3748869,3.82171946 39.6828054,3.75678733 40.990724,3.75678733 C42.3079186,3.75678733 43.6343891,3.82171946 44.9423077,3.95158371 C45.2391403,3.97941176 45.5359729,4.01651584 45.8235294,4.05361991 C46.4079186,4.11855204 45.4524887,3.9979638 46.0368778,4.08144796 C46.1852941,4.1 46.3244344,4.12782805 46.4728507,4.14638009 C47.140724,4.24841629 47.7993213,4.36900452 48.4671946,4.5081448 C49.4133484,4.70294118 50.5171946,4.22986425 50.749095,3.20950226 C50.9624434,2.28190045 50.4708145,1.13167421 49.4504525,0.92760181 C43.8848416,-0.213348416 38.1708145,-0.213348416 32.6052036,0.909049774 C31.8167421,1.06674208 31.241629,1.92941176 31.241629,2.69932127 C31.241629,4.85135747 31.241629,7.01266968 31.241629,9.16470588 C31.241629,12.5968326 31.241629,16.0289593 31.241629,19.470362 C31.241629,20.2588235 31.241629,21.038009 31.241629,21.8264706 C31.241629,22.9117647 32.4475113,24.080543 33.5884615,23.6167421 C34.7943439,23.1251131 36.0373303,22.7355204 37.3174208,22.4757919 C37.6420814,22.4108597 37.9667421,22.3552036 38.2914027,22.2995475 C38.8386878,22.2067873 37.911086,22.3366516 38.458371,22.2717195 C38.6253394,22.2531674 38.7923077,22.2346154 38.959276,22.2160633 C39.6364253,22.1511312 40.3135747,22.1140271 40.990724,22.1140271 C41.6771493,22.1140271 42.3635747,22.1511312 43.040724,22.2160633 C43.2076923,22.2346154 43.3746606,22.2531674 43.541629,22.2717195 C43.2076923,22.2346154 43.5972851,22.2809955 43.7178733,22.2995475 C44.05181,22.3552036 44.3764706,22.4108597 44.7011312,22.4757919 C45.9904977,22.7447964 47.2520362,23.1343891 48.4671946,23.6352941 C49.6081448,24.108371 50.8140271,22.9303167 50.8140271,21.8450226 C50.8140271,19.6837104 50.8140271,17.5316742 50.8140271,15.370362 C50.8140271,11.9289593 50.8140271,8.49683258 50.8140271,5.05542986 C50.8140271,4.26696833 50.8140271,3.47850679 50.8140271,2.69932127 C50.8140271,1.72533937 49.9606335,0.797737557 48.9588235,0.844117647 C47.9662896,0.899773756 47.1128959,1.66968326 47.1128959,2.70859729 Z" id="Path"></path>
                                        <path d="M47.1128959,60.1457014 C47.1128959,62.3070136 47.1128959,64.4590498 47.1128959,66.620362 C47.1128959,70.0617647 47.1128959,73.4938914 47.1128959,76.9352941 C47.1128959,77.7237557 47.1128959,78.5122172 47.1128959,79.2914027 C47.5674208,78.6977376 48.0219457,78.0947964 48.4764706,77.5011312 C47.8457014,77.6309955 47.2149321,77.7423077 46.5748869,77.8443439 C46.3986425,77.8721719 46.2223982,77.9 46.0461538,77.918552 C45.9904977,77.9278281 45.9255656,77.9371041 45.8699095,77.9463801 C46.0368778,77.9278281 46.0554299,77.918552 45.9255656,77.9371041 C45.600905,77.9742081 45.2762443,78.0113122 44.9515837,78.0484163 C43.6343891,78.1782805 42.3171946,78.2432127 41,78.2432127 C39.6920814,78.2432127 38.3841629,78.1782805 37.0855204,78.0484163 C36.7886878,78.0205882 36.5011312,77.9834842 36.2135747,77.9556561 C36.1857466,77.9556561 35.6199095,77.8721719 36.0095023,77.9278281 C35.861086,77.909276 35.7219457,77.890724 35.5735294,77.8628959 C34.9149321,77.7608597 34.2563348,77.6402715 33.5977376,77.5104072 C34.0522624,78.1040724 34.5067873,78.7070136 34.9613122,79.3006787 C34.9613122,77.1486425 34.9613122,74.9873303 34.9613122,72.8352941 C34.9613122,69.4031674 34.9613122,65.9710407 34.9613122,62.529638 C34.9613122,61.7411765 34.9613122,60.961991 34.9613122,60.1735294 C34.1821267,60.7671946 33.3936652,61.3701357 32.6144796,61.9638009 C37.938914,64.1343891 44.1445701,64.1251131 49.4597285,61.9359729 C50.3502262,61.5649321 51.0923077,60.6837104 50.758371,59.6540724 C50.4800905,58.7914027 49.4411765,57.9658371 48.4764706,58.3554299 C47.2613122,58.8563348 45.9997738,59.2459276 44.7104072,59.5149321 C44.3857466,59.5798643 44.05181,59.6447964 43.7271493,59.6911765 C43.6807692,59.7004525 43.1334842,59.7653846 43.550905,59.7190045 C43.3839367,59.7375566 43.2169683,59.7561086 43.05,59.7746606 C42.3728507,59.8395928 41.6864253,59.8766968 41,59.8766968 C40.3228507,59.8766968 39.6457014,59.8395928 38.968552,59.7746606 C38.8015837,59.7561086 38.6346154,59.7375566 38.4676471,59.7190045 C38.0595023,59.6726244 38.7459276,59.7746606 38.3006787,59.6911765 C37.9760181,59.6355204 37.6513575,59.5798643 37.3266968,59.5149321 C36.0466063,59.2552036 34.8036199,58.8656109 33.5977376,58.3739819 C32.4567873,57.910181 31.250905,59.0789593 31.250905,60.1642534 C31.250905,62.3162896 31.250905,64.4776018 31.250905,66.629638 C31.250905,70.0617647 31.250905,73.4938914 31.250905,76.9352941 C31.250905,77.7237557 31.250905,78.5029412 31.250905,79.2914027 C31.250905,80.0613122 31.8260181,80.9239819 32.6144796,81.0816742 C38.1893665,82.2133484 43.8941176,82.2040724 49.4597285,81.0631222 C50.24819,80.9054299 50.8233032,80.0520362 50.8233032,79.2728507 C50.8233032,77.1115385 50.8233032,74.9595023 50.8233032,72.79819 C50.8233032,69.3567873 50.8233032,65.9246606 50.8233032,62.4832579 C50.8233032,61.6947964 50.8233032,60.9063348 50.8233032,60.1271493 C50.8233032,59.1531674 49.9699095,58.2255656 48.9680995,58.2719457 C47.9662896,58.3368778 47.1128959,59.1067873 47.1128959,60.1457014 Z" id="Path"></path>
                                        <path d="M21.8542986,47.1036199 C19.6929864,47.1036199 17.5409502,47.1036199 15.379638,47.1036199 C11.9475113,47.1036199 8.5061086,47.1036199 5.0739819,47.1036199 C4.28552036,47.1036199 3.49705882,47.1036199 2.7178733,47.1036199 C3.31153846,47.5581448 3.91447964,48.0126697 4.5081448,48.4671946 C4.37828054,47.8364253 4.26696833,47.2056561 4.16493213,46.5656109 C4.13710407,46.3893665 4.10927602,46.2131222 4.09072398,46.0461538 C4.08144796,45.9904977 4.07217195,45.9255656 4.06289593,45.8699095 C4.08144796,46.0368778 4.09072398,46.0554299 4.07217195,45.9255656 C4.03506787,45.600905 3.9979638,45.2762443 3.96085973,44.9515837 C3.83099548,43.6343891 3.76606335,42.3171946 3.76606335,41 C3.76606335,39.6920814 3.83099548,38.3841629 3.96085973,37.0762443 C3.98868778,36.7794118 4.02579186,36.4918552 4.05361991,36.2042986 C4.05361991,36.1764706 4.13710407,35.6106335 4.08144796,36.0002262 C4.1,35.85181 4.11855204,35.7126697 4.14638009,35.5642534 C4.24841629,34.9056561 4.36900452,34.2470588 4.49886878,33.5884615 C3.90520362,34.0429864 3.30226244,34.4975113 2.70859729,34.9520362 C4.86063348,34.9520362 7.0219457,34.9520362 9.1739819,34.9520362 C12.6061086,34.9520362 16.0475113,34.9520362 19.479638,34.9520362 C20.2680995,34.9520362 21.0472851,34.9520362 21.8357466,34.9520362 C21.2420814,34.1728507 20.6391403,33.3843891 20.0454751,32.6052036 C17.8748869,37.929638 17.8841629,44.1352941 20.0733032,49.4504525 C20.4443439,50.3409502 21.3255656,51.0830317 22.3552036,50.749095 C23.2178733,50.4708145 24.0434389,49.4319005 23.6538462,48.4671946 C23.1529412,47.2520362 22.7633484,45.9904977 22.4943439,44.7104072 C22.4294118,44.3857466 22.3644796,44.05181 22.3180995,43.7271493 C22.3088235,43.6807692 22.2438914,43.1334842 22.2902715,43.550905 C22.2717195,43.3839367 22.2531674,43.2169683 22.2346154,43.05 C22.1696833,42.3728507 22.1325792,41.6864253 22.1325792,41 C22.1325792,40.3228507 22.1696833,39.6457014 22.2346154,38.968552 C22.2531674,38.8015837 22.2717195,38.6346154 22.2902715,38.4676471 C22.3366516,38.0595023 22.2346154,38.7459276 22.3180995,38.3006787 C22.3737557,37.9760181 22.4294118,37.6513575 22.4943439,37.3266968 C22.7540724,36.0466063 23.1436652,34.8036199 23.6352941,33.5977376 C24.099095,32.4567873 22.9303167,31.250905 21.8450226,31.250905 C19.6929864,31.250905 17.5316742,31.250905 15.379638,31.250905 C11.9475113,31.250905 8.5061086,31.250905 5.0739819,31.250905 C4.28552036,31.250905 3.50633484,31.250905 2.7178733,31.250905 C1.9479638,31.250905 1.08529412,31.8260181 0.92760181,32.6144796 C-0.204072398,38.1800905 -0.19479638,43.8941176 0.936877828,49.4597285 C1.09457014,50.24819 1.9479638,50.8233032 2.72714932,50.8233032 C4.88846154,50.8233032 7.04049774,50.8233032 9.20180995,50.8233032 C12.6339367,50.8233032 16.0753394,50.8233032 19.5074661,50.8233032 C20.2959276,50.8233032 21.0843891,50.8233032 21.8635747,50.8233032 C22.8375566,50.8233032 23.7651584,49.9699095 23.7187783,48.9680995 C23.6631222,47.9570136 22.8932127,47.1036199 21.8542986,47.1036199 Z" id="Path"></path>
                                        <path d="M78.2432127,41 C78.2432127,42.3171946 78.1782805,43.6343891 78.0484163,44.9515837 C78.0205882,45.2484163 77.9834842,45.5359729 77.9463801,45.8328054 C77.881448,46.4171946 78.0020362,45.4617647 77.918552,46.0461538 C77.890724,46.2223982 77.8721719,46.3986425 77.8443439,46.5656109 C77.7423077,47.2056561 77.6309955,47.8364253 77.5011312,48.4671946 C78.0947964,48.0126697 78.6977376,47.5581448 79.2914027,47.1036199 C77.1300905,47.1036199 74.9780543,47.1036199 72.8167421,47.1036199 C69.3846154,47.1036199 65.9432127,47.1036199 62.511086,47.1036199 C61.7226244,47.1036199 60.9341629,47.1036199 60.1549774,47.1036199 C60.7486425,47.8828054 61.3515837,48.671267 61.9452489,49.4504525 C64.1343891,44.1352941 64.1436652,37.929638 61.9730769,32.6052036 C61.3794118,33.3843891 60.7764706,34.1728507 60.1828054,34.9520362 C62.3348416,34.9520362 64.4961538,34.9520362 66.64819,34.9520362 C70.0803167,34.9520362 73.5217195,34.9520362 76.9538462,34.9520362 C77.7423077,34.9520362 78.5214932,34.9520362 79.3099548,34.9520362 C78.7162896,34.4975113 78.1133484,34.0429864 77.5196833,33.5884615 C77.6495475,34.2192308 77.7608597,34.840724 77.8628959,35.4714932 C77.890724,35.6477376 77.918552,35.8147059 77.9371041,35.9909502 C77.9,35.7219457 77.9371041,35.9723982 77.9556561,36.1115385 C77.9927602,36.4361991 78.0298643,36.7515837 78.0669683,37.0762443 C78.1875566,38.3841629 78.2432127,39.6920814 78.2432127,41 C78.2432127,41.9739819 79.0966063,42.9015837 80.0984163,42.8552036 C81.1002262,42.8088235 81.9536199,42.038914 81.9536199,41 C81.9443439,38.1800905 81.6475113,35.369457 81.0909502,32.6052036 C80.9332579,31.8167421 80.0798643,31.241629 79.3006787,31.241629 C77.1486425,31.241629 74.9873303,31.241629 72.8352941,31.241629 C69.4031674,31.241629 65.9617647,31.241629 62.529638,31.241629 C61.7411765,31.241629 60.961991,31.241629 60.1735294,31.241629 C59.0882353,31.241629 57.919457,32.4475113 58.3832579,33.5884615 C58.8748869,34.7943439 59.2644796,36.0466063 59.5242081,37.3174208 C59.5891403,37.6420814 59.6447964,37.9667421 59.7004525,38.2914027 C59.7932127,38.8386878 59.6633484,37.911086 59.7282805,38.458371 C59.7468326,38.6253394 59.7653846,38.7923077 59.7839367,38.959276 C59.8488688,39.6364253 59.8859729,40.3135747 59.8859729,40.990724 C59.8859729,41.6771493 59.8488688,42.3542986 59.7839367,43.040724 C59.7653846,43.2076923 59.7468326,43.3746606 59.7282805,43.541629 C59.7653846,43.2076923 59.7190045,43.5972851 59.7004525,43.7178733 C59.6447964,44.05181 59.5891403,44.3764706 59.5242081,44.7011312 C59.2552036,45.9904977 58.8656109,47.2427602 58.3647059,48.4579186 C57.891629,49.5988688 59.0696833,50.8047511 60.1549774,50.8047511 C62.3162896,50.8047511 64.4683258,50.8047511 66.629638,50.8047511 C70.0617647,50.8047511 73.5031674,50.8047511 76.9352941,50.8047511 C77.7237557,50.8047511 78.5122172,50.8047511 79.2914027,50.8047511 C80.0613122,50.8047511 80.9147059,50.229638 81.0816742,49.4411765 C81.6475113,46.658371 81.9536199,43.8199095 81.9628959,40.981448 C81.9628959,40.0074661 81.1095023,39.0798643 80.1076923,39.1262443 C79.0966063,39.1911765 78.2524887,39.961086 78.2432127,41 Z" id="Path"></path>
                                    </g>
                                </g>
                            </g>
                        </svg>
                    </picture>
                    <figcaption><?php echo __('Customer Support', 'theme'); ?></figcaption>
                </figure>
              </a>
            </div>
            <div class="col">
              <a href="http://docs.momizat.com" target="_blank">
              <figure>
                    <picture>

<svg width="71px" height="82px" viewBox="0 0 71 82" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
    <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
        <g id="noun_doc_600333_000000" fill="#000000">
            <path d="M62.6625893,82 L8.33741071,82 C3.74141305,82 0,78.32025 0,73.8 L0,8.2 C0,3.67975 3.74141305,0 8.33741071,0 L48.978814,0 C49.420002,0 49.8438203,0.17425 50.1564732,0.48175 L70.5101771,20.5 C70.82283,20.8075 71,21.2243333 71,21.65825 L71,73.8 C71,78.32025 67.2585869,82 62.6625893,82 Z M8.33741071,3.28 C5.57911733,3.28 3.33496428,5.48716667 3.33496428,8.2 L3.33496428,73.8 C3.33496428,76.5128333 5.57911733,78.72 8.33741071,78.72 L62.6591154,78.72 C65.4174087,78.72 67.6615618,76.5128333 67.6615618,73.8 L67.6615618,22.3381667 L48.2875037,3.28 L8.33741071,3.28 Z" id="Shape" fill-rule="nonzero"></path>
            <path d="M69.3106027,23 L48.6893973,23 C47.7567092,23 47,22.2748204 47,21.3809943 L47,1.61900572 C47,0.725179645 47.7567092,0 48.6893973,0 C49.6220853,0 50.3787945,0.725179645 50.3787945,1.61900572 L50.3787945,19.7619886 L69.3106027,19.7619886 C70.2432908,19.7619886 71,20.4871682 71,21.3809943 C71,22.2748204 70.2432908,23 69.3106027,23 Z" id="Path"></path>
            <path d="M55.354067,42.94 L15.645933,42.94 C14.7372408,42.94 14,42.295 14,41.5 C14,40.705 14.7372408,40.06 15.645933,40.06 L55.354067,40.06 C56.2627592,40.06 57,40.705 57,41.5 C57,42.295 56.2627592,42.94 55.354067,42.94 Z" id="Path"></path>
            <path d="M55.354067,53.94 L15.645933,53.94 C14.7372408,53.94 14,53.295 14,52.5 C14,51.705 14.7372408,51.06 15.645933,51.06 L55.354067,51.06 C56.2627592,51.06 57,51.705 57,52.5 C57,53.295 56.2627592,53.94 55.354067,53.94 Z" id="Path"></path>
            <path d="M55.354067,64.94 L15.645933,64.94 C14.7372408,64.94 14,64.295 14,63.5 C14,62.705 14.7372408,62.06 15.645933,62.06 L55.354067,62.06 C56.2627592,62.06 57,62.705 57,63.5 C57,64.295 56.2627592,64.94 55.354067,64.94 Z" id="Path"></path>
        </g>
    </g>
</svg>                    </picture>
                    <figcaption><?php echo __('Online Documentation', 'theme'); ?></figcaption>
                </figure>
              </a>
            </div>
        </div>
      </div>
    <?php 

  }
        public function dashboard_page_old() {
            $this->dashboard_header('dashboard');
          ?>

          <!-- Modals Start Here -->
          <div class="mom-ds-modal-backdrop "></div>
          <div id="updadte-theme-modal" class="mom-ds-modal-wrap ">
          <div class="mom-ds-modal">
              <p><strong><?php _e('Attention: Any modifications made to the Theme Files will be lost when updating. If you did change any files (Custom CSS rules or PHP file modifications for example) make sure to create a theme backup.'); ?></strong></p>
              <p><?php _e('Your Theme options, posts and pages wont be affected by the update.', 'theme'); ?> </p>

              <a class="mom-ds-button" href="<?php echo esc_url(network_admin_url('update-core.php')); ?>"><?php echo __('Update Now', 'theme'); ?></a>
            </form>
          </div>
          </div>
          <!-- Modals Ends Here -->

          <div class="mom_dashboard_widgets_wrap">
            <?php
              //activation widget
              $activation_widget_args = false;
              $activation_widget_title_button = __('Not Activated', 'theme');
              if (get_option('mom_activate_'.MOM_THEME_SLUG)) {
                $activation_widget_args = true;
                $activation_widget_title_button = __('Theme Activated', 'theme');
              }
              $this->dashboard_widget('activation_widget', __( 'Theme Activation', 'theme'), array(&$this,'activate_theme'), $activation_widget_args, $activation_widget_args, $activation_widget_title_button);

              //theme update widget
              $update_widget_args = false;
              $update_widget_title_button = __('Out of date', 'theme');
              $update_widget_disabled = true;
              if (get_option('mom_activate_'.MOM_THEME_SLUG)) {
                $update_widget_disabled = false;
              }
              $new = self::check_for_new_version();
              $new_version = $new['new_version'];
              if ($new_version == '') {
                $update_widget_args = true;
                $update_widget_title_button = __('Up to date', 'theme');
              }
              $this->dashboard_widget('update_widget', __( 'Theme Update', 'theme'), array(&$this,'update_theme'), $update_widget_args, $update_widget_args, '', $update_widget_disabled);


              //system status widget
              $system_status_widget_args = true;
              $system_status_widget_title_button = __('All Good', 'theme');
              if ($this->check_system_status() == false) {
                $system_status_widget_args = false;
                $system_status_widget_title_button = __('Problem Found', 'theme');
              }
              $this->dashboard_widget('system_status_widget', __( 'System Status', 'theme'), array(&$this,'system_status'), $system_status_widget_args, $system_status_widget_args, $system_status_widget_title_button);

            ?>
          </div>
        <?php }

  public function dashboard_widget( $widget_id, $widget_name, $callback, $widget_statue = null, $callback_args = null, $title_button = null, $disabled = null ) {
      $class = '';
      if ($widget_statue) {
        $class = 'mom-active-widget';
      }
      if ($widget_statue == false) {
        $class = 'mom-inactive-widget';
      }
      if ($disabled) {
        $class .= ' disabled';
      }
    ?>
      <div class="mom_dashboard_widget <?php echo esc_attr($class); ?>" id="<?php echo esc_attr($widget_id); ?>">
      <div class="widget-head">
        <h3><?php _e($widget_name, 'theme'); ?></h3>
        <?php if ($title_button) { ?>
        <span class="title-button mom-ds-button"><?php echo balancetags($title_button); ?></span>
        <?php } ?>
      </div>
      <div class="widget-content">
        <?php if (!$disabled) {
          //$callback($callback_args);
          call_user_func($callback, $callback_args);
        } ?>
      </div>
    </div>
<?php }

public function extensions_page()
        {
?>

  <div class="wrap mom-extensions">

    <header class="mom-addons-header">
      <h2><?php _e('Addons', 'theme'); ?></h2>
    </header>
  <?php
            $this->plugins_grid();
?>
  </div>

<?php
        }

        public function plugins_page()
        {
?>

  <div class="wrap mom-extensions">
  <?php
            $this->dashboard_header('plugins');
            $this->plugins_grid();
  ?>
  </div>

<?php
        }

        public function is_plugin_exist($plugin_path)
        {
            if (file_exists(WP_PLUGIN_DIR . '/' . $plugin_path)) {
                return true;
            } else {
                return false;
            }
        }

        public function plugins_grid($type = 'addon')
        {
?>
<div class="mom-ds-modal-backdrop "></div>

          <ul class="mom-extensions-list" id="mom-extensions-list">

      <?php
            foreach (TGM_Plugin_Activation::$instance->plugins as $plugin):
?>

        <?php
        $manual_update_modal = '';
                //if (isset($plugin['type']) && $plugin['type'] == $type) {
                    if (!isset($plugin['logo']) || $plugin['logo'] == '') {
                        $plugin['logo'] = MOM_URI . '/framework/extensions/assets/images/momizat-logo.png';
                    }
                    $installed_plugins = get_plugins();
                    $do_update         = false;
                    if (isset($installed_plugins[$plugin['file_path']]) && isset($plugin['version'])) {
                        $do_update = version_compare($installed_plugins[$plugin['file_path']]['Version'], $plugin['version'], '<');
                    }
                    $repo_updates = get_site_transient( 'update_plugins' );

              			if ( isset( $repo_updates->response[ $plugin['file_path'] ]->new_version ) ) {
              				$do_update = $repo_updates->response[ $plugin['file_path'] ]->new_version;
              			}

                    if ($this->is_plugin_exist($plugin['file_path'])) {
                        if (is_plugin_active($plugin['file_path'])) {
                            $status         = __('active', 'theme');
                            $status_message = __('Active', 'theme');
                            $button         = '<span class="spinner"></span><a class="mom-addon-button button mom-addon-deactivate" data-plugin="' . $plugin['file_path'] . '" href="#">' . __('Dectivate', 'theme') . '</a>';
                        } else {
                            $status         = __('inactive', 'theme');
                            $status_message = __('Inactive', 'theme');
                            $button         = '<span class="spinner"></span><a class="mom-addon-button button mom-addon-activate" data-plugin="' . $plugin['file_path'] . '" href="#">' . __('Activate', 'theme') . '</a>';
                        }
                        if ($do_update) {

                          $url = wp_nonce_url(
                  					add_query_arg(
                  						array(
                  							'plugin'                 => urlencode( $plugin['slug'] ),
                  							'tgmpa-update' => 'update-plugin',
                  						),
                  						$this->tgmp->get_tgmpa_url()
                  					),
                  					'tgmpa-update',
                  					'tgmpa-nonce'
                  				);
                          if (isset($plugin['manual_update']) && $plugin['manual_update']) {
                            $manual_update_modal = '<div id="'.esc_attr($plugin['slug']).'-updadte-theme-modal" class="plugin_manual_update_modal mom-ds-modal-wrap ">
                            <div class="mom-ds-modal">
                                <p><strong>'.$plugin['name'].' '. __('don\'t allow automatic update so you will update it manually by downloading it from the button below.', 'theme').'</strong></p>
                                <p><a href="http://docs.momizat.com/2016/06/how-to-install-plugins-manually/" target="_blank">'.__('Learn how to install plugin manually', 'theme').'</a></p>
                                <p>'.__('Also you can delete the plugin completely and reinstall it from here again', 'theme').'</p>
                                <a class="mom-ds-button" href="'.$plugin['source'].'">'.__('Download Now', 'theme').'</a>
                            </div>
                            </div>';
                          }
                          if (isset($plugin['require_activation']) && $plugin['require_activation'] == true) {
                              if (get_option('mom_activate_'.MOM_THEME_SLUG) == true) {
                                if (isset($plugin['manual_update']) && $plugin['manual_update']) {
                                  $button = '<a class="mom-addon-button button mom-manual-update-button" href="#"><i class="dashicons dashicons-update"></i>' . __('Update Now', 'theme') . '</a>';
                                 } else {
                                  $button = '<a class="mom-addon-button button" href="' . $url . '"><i class="dashicons dashicons-update"></i>' . __('Update Now', 'theme') . '</a>';
                                }
                              } else {
                                $button = '<a class="mom-addon-button button error" href="' . admin_url( 'admin.php?page=momizat-dashboard' ) . '">' . __('Activate Theme', 'theme') . '</a>';
                              }
                          } else {
                            if (isset($plugin['manual_update']) && $plugin['manual_update']) {
                              $button = '<a class="mom-addon-button mom-addon-update button" href="#" data-plugin="'.$plugin['slug'].'" data-plugin_source="'.$plugin['source'].'"><i class="dashicons dashicons-update"></i>' . __('Update Now', 'theme') . '</a>';
                            } else {
                              $button = '<a class="mom-addon-button button" href="' . $url . '"><i class="dashicons dashicons-update"></i>' . __('Update Now', 'theme') . '</a>';
                            }
                          }

                        }
                    } else {
                        $status         = __('not_installed', 'theme');
                        $status_message = __('Not Installed', 'theme');

                        $url = wp_nonce_url(
                					add_query_arg(
                						array(
                							'plugin'                 => urlencode( $plugin['slug'] ),
                							'tgmpa-install' => 'install-plugin',
                						),
                						$this->tgmp->get_tgmpa_url()
                					),
                					'tgmpa-install',
                					'tgmpa-nonce'
                				);
                        if (isset($plugin['require_activation']) && $plugin['require_activation'] == true) {
                            if (get_option('mom_activate_'.MOM_THEME_SLUG) == true) {
                              $button = '<a class="mom-addon-button button" href="' . $url . '">' . __('Install Plugin', 'theme') . '</a>';
                            } else {
                              $button = '<a class="mom-addon-button button error" href="' . admin_url( 'admin.php?page=momizat-dashboard' ) . '">' . __('Activate Theme', 'theme') . '</a>';
                            }
                        } else {
                          $button = '<a class="mom-addon-button button" href="' . $url . '">' . __('Install Plugin', 'theme') . '</a>';
                        }

                    }
?>

        <li class="plugin-card mom-addons-extension <?php
                    echo $status;
?>" id="<?php
                    echo $plugin['slug'];
?>">
      <div class="plugin-card-top">
            <div class="plugin-icon"><img src="<?php
                    echo $plugin['logo'];
?>" class="img"></div>
        <div class="name column-name">
              <h4 class="title"><?php
              $plugin_data    = @get_plugin_data( WP_PLUGIN_DIR . '/' . $plugin['file_path'] );
              $plugin_version = $plugin_data['Version'];
              if ($plugin_version == '') {
                $plugin_version = $plugin['version'];
              }

              echo $plugin['name'] . ' - <small>' .$plugin_version.'</small>';
?></h4>
        </div>
        <div class="action-links">
          <ul class="plugin-action-buttons">
            <li>
                        <?php echo $button; ?>
            </li>
            <?php if ($do_update) { ?>
              <li class="new_version">
                  <?php echo __('New Version:', 'theme'). ' ' .  $plugin['version']; ?>
              </li>
            <?php } ?>
          </ul>
        </div>
        <div class="desc column-description">
          <p><?php
                    echo $plugin['desc'];
?></p>
          <p class="authors"> <cite><?php __('By','theme'); ?> <?php
                    echo $plugin['author'];
?></cite>
<span class="status-wrap">
<?php if(isset($plugin['required']) && $plugin['required'] == true) { ?>
<span class="status required"><?php echo __('Required', 'theme'); ?></span>
<?php } ?>


<span class="status <?php
                    echo $status;
?>"><?php
                    echo $status_message;
?></span>
</span>
</p>
        </div>
      </div>
      <?php echo $manual_update_modal; ?>
        </li>

      <?php

                //}
            endforeach;
?>

    </ul>

<?php  }


  public static function system_status_page() {
    self::dashboard_header('system_status');
    include(MOM_ADDON . '/pages/system-status.php');
  }
        /**
         *
         * get list of all folders in the directory
         */
        public static function getFoldersList($path)
        {
            $dir      = scandir($path);
            $arrFiles = array();
            foreach ($dir as $file) {
                if ($file == "." || $file == "..")
                    continue;
                $filepath = $path . "/" . $file;
                if (is_dir($filepath))
                    $arrFiles[] = $file;
            }
            return ($arrFiles);
        }

        public static function throwError($message, $code = null)
        {
            if (!empty($code))
                throw new Exception($message, $code);
            else
                throw new Exception($message);
        }


        protected function is_addon_page() {

            if ( isset( $_GET['page'] ) && ( $this->page_slug === $_GET['page'] || $this->plugin_page_slug === $_GET['page'])  ) {
                return true;
            }

            return false;

        }

public function backdrop() {
  echo '<div class="mom-ajax-backdrop hidden"><div class="mom-ajax-backdrop-inner"><img src="'.MOM_ADDON_URI . '/assets/images/loader.svg" alt="loading..." /><span>'.__('Please Wait a Moment', 'theme').'</span></div></div>';
}
public static function check_for_new_version()
{
  $updates = get_site_transient('update_themes');

  if(!empty($updates) && !empty($updates->response))
  {
    $theme = wp_get_theme();
    if($key = array_key_exists($theme->get_template(), $updates->response))
    {
      return $updates->response[$theme->get_template()];
    }
  }

  return false;

}

public function check_system_status() {
  $output = true;
  //memory limit
  $memory = mom_let_to_num( WP_MEMORY_LIMIT );

  if ( function_exists( 'memory_get_usage' ) ) {
    $system_memory = mom_let_to_num( @ini_get( 'memory_limit' ) );
    $memory        = max( $memory, $system_memory );
  }
  if ( $memory < 32 ) {
    $output = false;
    return $output;
  }

  //time limit
  $execution_time = ini_get('max_execution_time');
  if ( $execution_time < 180 ) {
    $output = false;
    return $output;
  }

  //max inputs vars
  $max_input_vars = ini_get('max_input_vars');
  if ( $max_input_vars < 3000 ) {
    $output = false;
    return $output;
  }

//post and get
$posting = array();

// WP Remote Post Check.
$posting['wp_remote_post']['name'] = __( 'Remote Post', 'theme');
$posting['wp_remote_post']['help'] = mom_backend_help_tip( __( 'theme and many plugins uses this method to communicate with different APIs, e.g. Google, Twitter, Facebook, Paypal.', 'theme' ) );

$response = wp_safe_remote_post( 'https://www.paypal.com/cgi-bin/webscr', array(
  'timeout'    => 60,
  'user-agent' => 'Momizat/1.0',
  'body'       => array(
    'cmd'    => '_notify-validate'
  )
) );

if ( ! is_wp_error( $response ) && $response['response']['code'] >= 200 && $response['response']['code'] < 300 ) {
  $posting['wp_remote_post']['success'] = true;
} else {
  $posting['wp_remote_post']['note']    = __( 'wp_remote_post() failed. PayPal IPN won\'t work with your server. Contact your hosting provider.', 'theme' );
  if ( is_wp_error( $response ) ) {
    $posting['wp_remote_post']['note'] .= ' ' . sprintf( __( 'Error: %s', 'theme' ), mom_clean( $response->get_error_message() ) );
  } else {
    $posting['wp_remote_post']['note'] .= ' ' . sprintf( __( 'Status code: %s', 'theme' ), mom_clean( $response['response']['code'] ) );
  }
  $posting['wp_remote_post']['success'] = false;
}

// WP Remote Get Check.
$posting['wp_remote_get']['name'] = __( 'Remote Get', 'theme');
$posting['wp_remote_get']['help'] = mom_backend_help_tip( __( 'theme and many plugins uses this method to communicate with different APIs, e.g. Google, Twitter, Facebook, Paypal.', 'theme' ) );

$response = wp_safe_remote_get( 'http://www.woothemes.com/wc-api/product-key-api?request=ping&network=' . ( is_multisite() ? '1' : '0' ) );

if ( ! is_wp_error( $response ) && $response['response']['code'] >= 200 && $response['response']['code'] < 300 ) {
  $posting['wp_remote_get']['success'] = true;
} else {
  $posting['wp_remote_get']['note']    = __( 'wp_remote_get() failed. The WooCommerce plugin updater won\'t work with your server. Contact your hosting provider.', 'theme' );
  if ( is_wp_error( $response ) ) {
    $posting['wp_remote_get']['note'] .= ' ' . sprintf( __( 'Error: %s', 'theme' ), mom_clean( $response->get_error_message() ) );
  } else {
    $posting['wp_remote_get']['note'] .= ' ' . sprintf( __( 'Status code: %s', 'theme' ), mom_clean( $response['response']['code'] ) );
  }
  $posting['wp_remote_get']['success'] = false;
}

$posting = apply_filters( 'woocommerce_debug_posting', $posting );

foreach ( $posting as $post ) {
  if (empty( $post['success'] )) {
    $output = false;
  }
}

return $output;

}
/* ==========================================================================
*                widgets start here
========================================================================== */
  public function activate_theme($active = null) {
  ?>
  <?php if ( ! $active) { ?>
  <!-- <strong class="title"><?php echo __('Themeforest Username', 'theme'); ?></strong>
  <div><input type="text" name="themeforest_username" class="themeforest_username" value="<?php echo get_option('mom_updates_username'); ?>"></div> -->

    <strong class="title"><?php echo __('Purchase code', 'theme'); ?></strong>
    <p class="desc"><?php echo __('You can learn how to find your purchase key <a href="http://docs.momizat.com/2016/03/where-to-find-the-purchase-code/" target="_blank">here</a>', 'theme'); ?></p>
    <div><input type="text" name="purchase_code" class="purchase_code" value="<?php echo get_option('mom_'.MOM_THEME_SLUG.'_purchase_code'); ?>"></div>

    <!-- <strong class="title"><?php echo __('Themeforest API key', 'theme'); ?></strong>
    <p class="desc"><?php echo __('You can learn how to find your API key <a href="http://docs.momizat.com/2016/04/how-to-get-api-key/" target="_blank">here</a>', 'theme'); ?></p>
    <div><input type="text" name="themeforest_apikey" class="themeforest_apikey" value="<?php echo get_option('mom_updates_api_key'); ?>"></div> -->
    <div class="mom-ds-space x2"></div>
  <?php } else { ?>
    <!-- <div class="widget-info"><strong class="title"><?php echo __('Themeforest Username', 'theme'); ?></strong>: <?php echo get_option('mom_updates_username'); ?></div> -->
    <div class="widget-info"><strong class="title"><?php echo __('Purchase code', 'theme'); ?></strong>: <?php echo get_option('mom_'.MOM_THEME_SLUG.'_purchase_code'); ?></div>
    <!-- <div class="widget-info"><strong class="title"><?php echo __('Themeforest API key', 'theme'); ?></strong>: <?php echo get_option('mom_updates_api_key'); ?></div> -->
    <input type="hidden" name="purchase_code" class="purchase_code" value="<?php echo get_option('mom_'.MOM_THEME_SLUG.'_purchase_code'); ?>">
    <div class="mom-ds-space x2"></div>
   <?php } ?>

    <?php if ($active) { ?>
      <p class="desc bold"><?php _e('In order to register your purchase code on another domain, deregister it first by clicking the button below.', 'theme') ?></p>
      <div class="mom-ds-space x2"></div>
      <button data-item_id="<?php echo esc_attr(MOM_THEME_ID); ?>" class="mom-ds-button deactivate_purchase_code deactive"><?php echo __('Deactivate theme', 'theme'); ?></button>
    <?php } else { ?>
    <button data-item_id="<?php echo esc_attr(MOM_THEME_ID); ?>" class="mom-ds-button activate_purchase_code"><?php echo __('Activate theme', 'theme'); ?></button>
    <?php } ?>
  <?php
  }

  public function update_theme($active = null) {
  ?>
    <strong class="title"><?php echo __('Installed Version', 'theme'); ?></strong>
    <p class="desc"><?php echo MOM_THEME_VERSION; ?></p>
      <div class="mom-ds-space"></div>
      <div class="mom-ds-space x3"></div>
    <?php 
    if (defined('ENVATO_MARKET_VERSION')) { ?>
      <a href="<?php echo esc_url(admin_url('admin.php?page=envato-market')); ?>" class="mom-ds-button"><?php echo __('Check Update', 'theme'); ?></a>
    <?php } else { ?>
      <a href="<?php echo esc_url(admin_url('admin.php?page=momizat-plugins')); ?>" class="mom-ds-button green"><?php echo __('Install Envato Market Plugin', 'theme'); ?></a>
    <?php } ?>
  <?php
  }

  public function update_theme_old($active = null) {
    $new = self::check_for_new_version();
    $new_version = $new['new_version'];

    if ($new_version == '') {
      $new_version = MOM_THEME_VERSION;
    }

  ?>
  <strong class="title"><?php echo __('Installed Version', 'theme'); ?></strong>
  <p class="desc"><?php echo MOM_THEME_VERSION; ?></p>
  <div class="mom-ds-space"></div>
  <strong class="title"><?php echo __('Latest Version', 'theme'); ?></strong>
  <p class="desc"><?php echo esc_html($new_version); ?></p>

  <div class="mom-ds-space"></div>
  <a href="<?php echo esc_url(network_admin_url('update-core.php?force-check=1')); ?>" data-item_id="<?php echo esc_attr(MOM_THEME_ID); ?>" class="mom-ds-button check-for-updates small border"><?php echo __('Check for updates', 'theme'); ?></a>

  <div class="mom-ds-space x3"></div>
  <button class="mom-ds-button mom-theme-update-now"><?php echo __('Update Now', 'theme'); ?></button>

  <?php
  }

  public function system_status($active = null) {  ?>
    <table class="mom-status-table widefat" cellspacing="0">
      <tbody>

        <?php if ( function_exists( 'ini_get' ) ) : ?>

          <tr>
      			<td data-export-label="WP Memory Limit"><?php _e( 'WP Memory Limit', 'theme' ); ?>:</td>
      			<td class="help">
              <?php
              $memory = mom_let_to_num( WP_MEMORY_LIMIT );

      				if ( function_exists( 'memory_get_usage' ) ) {
      					$system_memory = mom_let_to_num( @ini_get( 'memory_limit' ) );
      					$memory        = max( $memory, $system_memory );
      				}
              if ( $memory < 32 ) {
                echo '<mark class="error">&#10005;</mark>';
              } else {
                echo '<mark class="yes">&#10004;</mark>';
              }
               ?>
            </td>
      			<td><?php
            if ( $memory < 180 ) {
              echo '<mark class="error">Min: 128M</mark>';
            } else {
              echo '<mark class="yes">' . size_format( $memory ) . '</mark>';
            }
      			?></td>
      		</tr>
          <tr>
            <td data-export-label="PHP Time Limit"><?php _e( 'PHP Time Limit', 'theme' ); ?>:</td>
            <td class="help">
              <?php
              $execution_time = ini_get('max_execution_time');
              if ( $execution_time < 180 ) {
                echo '<mark class="error">&#10005;</mark>';
              } else {
                echo '<mark class="yes">&#10004;</mark>';
              }
              ?>
            </td>
            <td>
              <?php

                if ( $execution_time < 180 ) {
                  echo '<mark class="error">Min: 180</mark>';
                } else {
                  echo '<mark class="yes">' . $execution_time . '</mark>';
                }
              ?>
            </td>
          </tr>
          <tr>
            <td data-export-label="PHP Max Input Vars"><?php _e( 'PHP Max Input Vars', 'theme' ); ?>:</td>
            <td class="help">
              <?php
              $max_input_vars = ini_get('max_input_vars');
              if ( $max_input_vars < 3000 ) {
                echo '<mark class="error">&#10005;</mark>';
              } else {
                echo '<mark class="yes">&#10004;</mark>';
              }
              ?>
            </td>
            <td>
              <?php

                    if ( $max_input_vars < 3000 ) {
                      echo '<mark class="error">Min: 3000</mark>';
                    } else {
                      echo '<mark class="yes">' . $max_input_vars . '</mark>';
                    }
              ?>
            </td>
          </tr>
        <?php endif; ?>
        <?php
          $posting = array();

          // WP Remote Post Check.
          $posting['wp_remote_post']['name'] = __( 'Remote Post', 'theme');
          $posting['wp_remote_post']['help'] = mom_backend_help_tip( __( 'theme and many plugins uses this method to communicate with different APIs, e.g. Google, Twitter, Facebook, Paypal.', 'theme' ) );

          $response = wp_safe_remote_post( 'https://www.paypal.com/cgi-bin/webscr', array(
            'timeout'    => 60,
            'user-agent' => 'Momizat/1.0',
            'body'       => array(
              'cmd'    => '_notify-validate'
            )
          ) );

          if ( ! is_wp_error( $response ) && $response['response']['code'] >= 200 && $response['response']['code'] < 300 ) {
            $posting['wp_remote_post']['success'] = true;
          } else {
            $posting['wp_remote_post']['note']    = __( 'wp_remote_post() failed. PayPal IPN won\'t work with your server. Contact your hosting provider.', 'theme' );
            if ( is_wp_error( $response ) ) {
              $posting['wp_remote_post']['note'] .= ' ' . sprintf( __( 'Error: %s', 'theme' ), mom_clean( $response->get_error_message() ) );
            } else {
              $posting['wp_remote_post']['note'] .= ' ' . sprintf( __( 'Status code: %s', 'theme' ), mom_clean( $response['response']['code'] ) );
            }
            $posting['wp_remote_post']['success'] = false;
          }

          // WP Remote Get Check.
          $posting['wp_remote_get']['name'] = __( 'Remote Get', 'theme');
          $posting['wp_remote_get']['help'] = mom_backend_help_tip( __( 'theme and many plugins uses this method to communicate with different APIs, e.g. Google, Twitter, Facebook, Paypal.', 'theme' ) );

          $response = wp_safe_remote_get( 'http://www.woothemes.com/wc-api/product-key-api?request=ping&network=' . ( is_multisite() ? '1' : '0' ) );

          if ( ! is_wp_error( $response ) && $response['response']['code'] >= 200 && $response['response']['code'] < 300 ) {
            $posting['wp_remote_get']['success'] = true;
          } else {
            $posting['wp_remote_get']['note']    = __( 'wp_remote_get() failed. The WooCommerce plugin updater won\'t work with your server. Contact your hosting provider.', 'theme' );
            if ( is_wp_error( $response ) ) {
              $posting['wp_remote_get']['note'] .= ' ' . sprintf( __( 'Error: %s', 'theme' ), mom_clean( $response->get_error_message() ) );
            } else {
              $posting['wp_remote_get']['note'] .= ' ' . sprintf( __( 'Status code: %s', 'theme' ), mom_clean( $response['response']['code'] ) );
            }
            $posting['wp_remote_get']['success'] = false;
          }

          $posting = apply_filters( 'woocommerce_debug_posting', $posting );

          foreach ( $posting as $post ) {
            $mark = ! empty( $post['success'] ) ? 'yes' : 'error';
            ?>
            <tr>
              <td data-export-label="<?php echo esc_html( $post['name'] ); ?>"><?php echo esc_html( $post['name'] ); ?>:</td>
              <td class="help"><?php echo isset( $post['help'] ) ? $post['help'] : ''; ?></td>
              <td>
                <mark class="<?php echo $mark; ?>">
                  <?php echo ! empty( $post['success'] ) ? '&#10004' : '&#10005'; ?> <?php echo ! empty( $post['note'] ) ? wp_kses_data( $post['note'] ) : ''; ?>
                </mark>
              </td>
            </tr>
            <?php
          }
        ?>
      </tbody>
    </table>
  <div class="mom-ds-space"></div>
  <a class="mom-ds-button" href="<?php echo esc_url(admin_url( 'admin.php?page=momizat-system-status' )); ?>"><?php echo __('See full report', 'theme'); ?></a>

  <?php
  }

  /* ==========================================================================
  *                widgets Ends here
  ========================================================================== */
    } //end class

} // end if

function remove_installing_plugins_menu()
{

    //remove_submenu_page('themes.php', 'install-required-plugins');

}
add_action('admin_menu', 'remove_installing_plugins_menu', 9999);

$ex = new mom_dashboard_class;

add_action('wp_ajax_mom_addon_activate', 'mom_addon_activate');
add_action('wp_ajax_nopriv_mom_addon_activate', 'mom_addon_activate');

function mom_addon_activate()
{
    $nonce = $_POST['nonce'];
    if (!wp_verify_nonce($nonce, 'ajax-nonce'))
        die('Nope!');

    $plugin = $_POST['plugin'];

    activate_plugin($plugin);
}
add_action('wp_ajax_mom_addon_deactivate', 'mom_addon_deactivate');
add_action('wp_ajax_nopriv_mom_addon_deactivate', 'mom_addon_deactivate');

function mom_addon_deactivate()
{
    $nonce = $_POST['nonce'];
    if (!wp_verify_nonce($nonce, 'ajax-nonce'))
        die('Nope!');

    $plugin = $_POST['plugin'];

    deactivate_plugins($plugin);
}

add_action('wp_ajax_mom_addon_update', 'mom_addon_update');

function mom_deleteDirectory($dirPath)
{
    if (is_dir($dirPath)) {
        $objects = scandir($dirPath);
        foreach ($objects as $object) {
            if ($object != "." && $object != "..") {
                if (filetype($dirPath . DIRECTORY_SEPARATOR . $object) == "dir") {
                    mom_deleteDirectory($dirPath . DIRECTORY_SEPARATOR . $object);
                } else {
                    unlink($dirPath . DIRECTORY_SEPARATOR . $object);
                }
            }
        }
        reset($objects);
        rmdir($dirPath);
    }
}

function mom_addon_update()
{
    $nonce = $_POST['nonce'];
    if (!wp_verify_nonce($nonce, 'ajax-nonce'))
        die('Nope!');
    $updatePath    = MOM_FW . '/plugins/';
    $plugin_source = $_POST['plugin_source'];
    $plugin_path   = WP_PLUGIN_DIR . '/' . $_POST['plugin'];
    WP_Filesystem();
    $unzipfile = unzip_file($plugin_source, $updatePath);

    //get extracted folder
    $arrFolders = mom_dashboard_class::getFoldersList($updatePath);
    if (empty($arrFolders))
        mom_dashboard_class::throwError("The update folder is not extracted");

    if (count($arrFolders) > 1)
        mom_dashboard_class::throwError("Extracted folders are more then 1. Please check the update file.");

    //get product folder
    $pluginFolder = $arrFolders[0];

    copy_dir($updatePath . $pluginFolder, $plugin_path);
    mom_deleteDirectory($updatePath . $pluginFolder);

}

function mom_backend_help_tip($text) {
    return '<a href="#" class="mom-help-tip" title="'.esc_attr($text).'">[?]</a>';
}

function mom_let_to_num( $size ) {
	$l   = substr( $size, -1 );
	$ret = substr( $size, 0, -1 );
	switch ( strtoupper( $l ) ) {
		case 'P':
			$ret *= 1024;
		case 'T':
			$ret *= 1024;
		case 'G':
			$ret *= 1024;
		case 'M':
			$ret *= 1024;
		case 'K':
			$ret *= 1024;
	}
	return $ret;
}

function mom_clean( $var ) {
	return is_array( $var ) ? array_map( 'wc_clean', $var ) : sanitize_text_field( $var );
}
